BuildRequires: jpackage-1.4-compat
%define short_name taglibs-standard

Name: jakarta-%short_name
Version: 1.1.1
Release: alt4
Summary: An open-source implementation of the JSP Standard Tag Library
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/taglibs/
Source: %name-%version-src.tar.bz2
Patch: %name-build.patch

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant servletapi5 jaxp_transform_impl
Requires: java-common servletapi5

%description
This directory contains releases for the 1.1.x versions of the Standard
Tag Library, Jakarta Taglibs's open-source implementation of the JSP
Standard Tag Library (JSTL), version 1.1. JSTL is a standard under the
Java Community Process.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %name-%version-src
%patch
cat > build.properties <<EOBP
build.dir=build
dist.dir=dist
servlet24.jar=%_javadir/servletapi5.jar
jsp20.jar=%_javadir/jspapi5.jar
xalan.jar=%_javadir/jaxp_transform_impl.jar
EOBP

%build
%__ant \
	-Dfinal.name=%short_name \
	-f standard/build.xml \
	dist

%install
# jars
%__mkdir_p %buildroot%_javadir
%__cp -p standard/dist/standard/lib/jstl.jar %buildroot%_javadir
%__cp -p standard/dist/standard/lib/standard.jar %buildroot%_javadir/jakarta-taglibs-standard.jar

# jpp compat stuff
ln -s jstl.jar %buildroot%_javadir/jakarta-taglibs-core.jar
ln -s jstl.jar %buildroot%_javadir/taglibs-core.jar
ln -s jakarta-taglibs-standard.jar %buildroot%_javadir/taglibs-standard.jar

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -pr standard/dist/standard/javadoc/* %buildroot%_javadocdir/%name

%files
%doc standard/README_src.txt standard/README_bin.txt standard/dist/doc/doc/standard-doc/*.html
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Fri May 04 2007 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt4
- rebuild on x86_64 

* Mon Apr 30 2007 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt3
- added JPackage compat stuff

* Wed Mar 22 2006 Vladimir Lettiev <crux@altlinux.ru> 1.1.1-alt2
- Fixed build with j2se1.5

* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.1-alt1
- Initial build for ALT Linux Sisyphus

